package fonetic

import "strings"

var bigrams = map[string][]string{
	"aa": []string{"l", "z", "k", "b", "r"},
	"ab": []string{"1"},
	"ac": []string{"1"},
	"ad": []string{"1"},
	"ae": []string{"a", "c", "f", "s", "l", "d", "g", "e", "b", "h", "k", "v", "i", "t", "m", "r", "n", "p"},
	"af": []string{"c", "f", "l", "w", "o", "d", "e", "g", "h", "b", "k", "m", "t", "r", "n", "u", "s"},
	"ag": []string{"1"},
	"ah": []string{"a", "z", "d", "e", "h", "k", "r", "j", "c", "l", "i", "t", "v", "n", "g", "b", "m", "p", "y", "f", "u", "s"},
	"ai": []string{"1"},
	"aj": []string{"c", "f", "h", "m", "r", "p"},
	"ak": []string{"1"},
	"al": []string{"1"},
	"am": []string{"1"},
	"an": []string{"1"},
	"ao": []string{"c", "k", "b", "h", "i", "r"},
	"ap": []string{"1"},
	"aq": []string{"c", "l", "b", "v", "r", "p"},
	"ar": []string{"1"},
	"as": []string{"1"},
	"at": []string{"1"},
	"au": []string{"1"},
	"av": []string{"1"},
	"aw": []string{"d", "e", "h", "k", "r", "c", "j", "l", "t", "n", "g", "b", "m", "p", "y", "f", "w", "u", "s"},
	"ax": []string{"f", "l", "w", "o", "e", "k", "m", "t", "r", "s"},
	"ay": []string{"1"},
	"az": []string{"j", "f", "l", "z", "d", "g", "e", "h", "k", "b", "i", "m", "t", "r", "n", "p"},
	"ba": []string{"1"},
	"bb": []string{"a", "y", "o", "e", "i", "m", "u"},
	"bc": []string{"o", "u"},
	"bd": []string{"a", "y", "o", "m", "u"},
	"be": []string{"1"},
	"bf": []string{"a", "o", "e", "m", "u"},
	"bg": []string{"o", "a", "u"},
	"bh": []string{"a", "o", "u"},
	"bi": []string{"1"},
	"bj": []string{"o", "a", "u"},
	"bk": []string{"m"},
	"bl": []string{"1"},
	"bm": []string{"m", "u"},
	"bn": []string{"a", "o", "i", "m", "u"},
	"bo": []string{"1"},
	"bp": []string{"m", "u"},
	"bq": []string{"0"},
	"br": []string{"1"},
	"bs": []string{"a", "l", "o", "e", "b", "i", "m", "t", "r", "u"},
	"bt": []string{"o", "m", "e", "u"},
	"bu": []string{"1"},
	"bv": []string{"o", "u"},
	"bw": []string{"a", "l", "o", "m", "r", "u"},
	"bx": []string{"0"},
	"by": []string{"a", "y", "l", "o", "d", "g", "e", "b", "i", "m", "r", "u", "s"},
	"bz": []string{"u"},
	"ca": []string{"1"},
	"cb": []string{"0"},
	"cc": []string{"a", "o", "e", "i", "u"},
	"cd": []string{"e"},
	"ce": []string{"1"},
	"cf": []string{"0"},
	"cg": []string{"0"},
	"ch": []string{"1"},
	"ci": []string{"1"},
	"cj": []string{"0"},
	"ck": []string{"1"},
	"cl": []string{"1"},
	"cm": []string{"a", "n"},
	"cn": []string{"a", "i"},
	"co": []string{"1"},
	"cp": []string{"r"},
	"cq": []string{"a", "e"},
	"cr": []string{"1"},
	"cs": []string{"a", "o", "e", "i", "r", "n", "s"},
	"ct": []string{"1"},
	"cu": []string{"1"},
	"cv": []string{"0"},
	"cw": []string{"0"},
	"cx": []string{"0"},
	"cy": []string{"a", "c", "l", "o", "e", "i", "t", "r", "n", "u", "s"},
	"cz": []string{"e"},
	"da": []string{"1"},
	"db": []string{"a", "l", "o", "d", "e", "i", "r", "n", "u"},
	"dc": []string{"a", "l", "o", "e", "r", "n"},
	"dd": []string{"a", "o", "e", "i", "n", "u"},
	"de": []string{"1"},
	"df": []string{"a", "l", "o", "d", "e", "i", "r", "n", "u"},
	"dg": []string{"a", "l", "o", "e", "i", "n", "u"},
	"dh": []string{"a", "l", "o", "e", "i", "r", "n", "u"},
	"di": []string{"1"},
	"dj": []string{"a", "n"},
	"dk": []string{"o", "n", "e"},
	"dl": []string{"a", "l", "w", "o", "d", "e", "i", "r", "n", "u"},
	"dm": []string{"a", "l", "o", "d", "e", "i", "r", "n", "u"},
	"dn": []string{"a", "l", "w", "o", "d", "e", "i", "r", "n", "u"},
	"do": []string{"1"},
	"dp": []string{"a", "l", "o", "e", "i", "v", "r", "n", "u"},
	"dq": []string{"a", "n", "h"},
	"dr": []string{"1"},
	"ds": []string{"1"},
	"dt": []string{"a", "o", "e", "i", "r", "n"},
	"du": []string{"1"},
	"dv": []string{"a", "r"},
	"dw": []string{"a", "l", "o", "e", "i", "r", "n"},
	"dx": []string{"0"},
	"dy": []string{"a", "l", "w", "o", "d", "e", "i", "r", "n", "u"},
	"dz": []string{"a", "u"},
	"ea": []string{"1"},
	"eb": []string{"z", "d", "e", "k", "h", "r", "c", "l", "i", "t", "v", "n", "s", "g", "b", "m", "y", "f", "w", "o", "u", "p"},
	"ec": []string{"1"},
	"ed": []string{"1"},
	"ee": []string{"1"},
	"ef": []string{"1"},
	"eg": []string{"1"},
	"eh": []string{"c", "l", "o", "d", "e", "g", "b", "k", "v", "m", "t", "r", "n", "u", "s"},
	"ei": []string{"z", "d", "e", "h", "k", "r", "c", "l", "i", "t", "v", "n", "g", "b", "m", "p", "f", "y", "w", "o", "u", "s"},
	"ej": []string{"j", "l", "d", "e", "b", "r", "u", "p"},
	"ek": []string{"c", "f", "s", "l", "d", "e", "h", "b", "i", "m", "t", "r", "p"},
	"el": []string{"1"},
	"em": []string{"1"},
	"en": []string{"1"},
	"eo": []string{"a", "j", "y", "s", "c", "l", "z", "d", "g", "h", "k", "v", "m", "t", "r", "n", "u", "p"},
	"ep": []string{"1"},
	"eq": []string{"l", "o", "d", "e", "b", "h", "t", "r", "n", "s"},
	"er": []string{"1"},
	"es": []string{"1"},
	"et": []string{"1"},
	"eu": []string{"c", "f", "y", "l", "o", "d", "x", "g", "p", "h", "k", "i", "m", "t", "r", "n", "u", "s"},
	"ev": []string{"1"},
	"ew": []string{"z", "d", "e", "h", "k", "r", "j", "c", "l", "i", "t", "v", "n", "g", "b", "m", "p", "f", "y", "s"},
	"ex": []string{"1"},
	"ey": []string{"c", "f", "s", "y", "l", "o", "g", "k", "b", "h", "v", "m", "t", "r", "n", "u", "p"},
	"ez": []string{"f", "d", "e", "b", "i", "m", "r", "u", "p"},
	"fa": []string{"1"},
	"fb": []string{"f", "l", "o", "e", "r"},
	"fc": []string{"e"},
	"fd": []string{"e", "r"},
	"fe": []string{"1"},
	"ff": []string{"1"},
	"fg": []string{"a", "m"},
	"fh": []string{"f", "l"},
	"fi": []string{"1"},
	"fj": []string{"0"},
	"fk": []string{"0"},
	"fl": []string{"1"},
	"fm": []string{"l"},
	"fn": []string{"a", "o", "f", "e"},
	"fo": []string{"1"},
	"fp": []string{"f", "l"},
	"fq": []string{"0"},
	"fr": []string{"1"},
	"fs": []string{"a", "f", "l", "o", "e", "i", "r", "u"},
	"ft": []string{"a", "f", "l", "o", "e", "i", "u"},
	"fu": []string{"1"},
	"fv": []string{"0"},
	"fw": []string{"l"},
	"fx": []string{"0"},
	"fy": []string{"a", "f", "o", "e", "i", "m", "r", "s"},
	"fz": []string{"0"},
	"ga": []string{"1"},
	"gb": []string{"a", "o", "e", "g", "n", "u"},
	"gc": []string{"o", "g"},
	"gd": []string{"y", "n"},
	"ge": []string{"1"},
	"gf": []string{"a", "o", "n", "u"},
	"gg": []string{"a", "o", "e", "i", "n", "u"},
	"gh": []string{"1"},
	"gi": []string{"1"},
	"gj": []string{"o"},
	"gk": []string{"0"},
	"gl": []string{"1"},
	"gm": []string{"a", "y", "o", "d", "e", "i", "n", "u"},
	"gn": []string{"a", "y", "o", "g", "e", "i", "r", "n", "u"},
	"go": []string{"1"},
	"gp": []string{"a", "i", "n", "g"},
	"gq": []string{"0"},
	"gr": []string{"1"},
	"gs": []string{"a", "o", "e", "g", "i", "r", "n", "u"},
	"gt": []string{"a", "o", "h", "i", "n"},
	"gu": []string{"1"},
	"gv": []string{"0"},
	"gw": []string{"a", "o", "e", "h", "i", "n", "u"},
	"gx": []string{"0"},
	"gy": []string{"a", "l", "o", "d", "g", "e", "i", "r", "n"},
	"gz": []string{"i"},
	"ha": []string{"1"},
	"hb": []string{"c", "t", "g", "s"},
	"hc": []string{"a", "c", "g", "t", "s"},
	"hd": []string{"c", "t", "s"},
	"he": []string{"1"},
	"hf": []string{"c", "g", "t", "v", "u", "s"},
	"hg": []string{"c", "g", "s"},
	"hh": []string{"c", "t", "g", "s"},
	"hi": []string{"1"},
	"hj": []string{"0"},
	"hk": []string{"c", "s"},
	"hl": []string{"a", "c", "s", "o", "g", "t", "p"},
	"hm": []string{"o", "c", "t", "s"},
	"hn": []string{"a", "c", "o", "g", "t", "s"},
	"ho": []string{"1"},
	"hp": []string{"c", "d", "g", "t", "s"},
	"hq": []string{"t"},
	"hr": []string{"c", "s", "e", "g", "t", "u", "p"},
	"hs": []string{"a", "c", "s", "o", "d", "g", "k", "t", "p"},
	"ht": []string{"1"},
	"hu": []string{"a", "c", "w", "o", "d", "x", "p", "e", "g", "b", "i", "t", "r", "n", "s"},
	"hv": []string{"0"},
	"hw": []string{"c", "t", "g", "s"},
	"hx": []string{"0"},
	"hy": []string{"c", "s", "w", "o", "g", "e", "t", "r", "n", "p"},
	"hz": []string{"0"},
	"ia": []string{"1"},
	"ib": []string{"1"},
	"ic": []string{"1"},
	"id": []string{"1"},
	"ie": []string{"1"},
	"if": []string{"1"},
	"ig": []string{"1"},
	"ih": []string{"j", "l", "d", "h", "t", "r", "n"},
	"ii": []string{"a", "d", "x", "k", "b", "i", "v", "r", "n", "p"},
	"ij": []string{"r", "m", "b", "h"},
	"ik": []string{"a", "y", "l", "o", "d", "e", "b", "h", "k", "v", "m", "t", "r", "n", "p"},
	"il": []string{"1"},
	"im": []string{"1"},
	"in": []string{"1"},
	"io": []string{"1"},
	"ip": []string{"1"},
	"iq": []string{"a", "l", "p", "b", "m", "t", "r", "n", "s"},
	"ir": []string{"1"},
	"is": []string{"1"},
	"it": []string{"1"},
	"iu": []string{"c", "s", "l", "z", "d", "b", "h", "v", "m", "t", "r", "n", "u", "p"},
	"iv": []string{"1"},
	"iw": []string{"l", "x", "d", "b", "k", "m", "t", "r"},
	"ix": []string{"f", "s", "l", "w", "x", "d", "m", "v", "r", "n", "u", "p"},
	"iy": []string{"l", "k", "b", "m", "t", "r"},
	"iz": []string{"1"},
	"ja": []string{"a", "y", "d", "e", "g", "k", "i", "t", "r", "n", "u", "p"},
	"jb": []string{"0"},
	"jc": []string{"0"},
	"jd": []string{"0"},
	"je": []string{"a", "j", "o", "d", "e", "b", "m", "r", "n"},
	"jf": []string{"0"},
	"jg": []string{"0"},
	"jh": []string{"0"},
	"ji": []string{"a", "j", "e", "n", "u"},
	"jj": []string{"a"},
	"jk": []string{"0"},
	"jl": []string{"0"},
	"jm": []string{"0"},
	"jn": []string{"0"},
	"jo": []string{"a", "f", "l", "w", "o", "d", "e", "b", "i", "r", "n", "s"},
	"jp": []string{"0"},
	"jq": []string{"0"},
	"jr": []string{"0"},
	"js": []string{"0"},
	"jt": []string{"0"},
	"ju": []string{"a", "w", "d", "e", "b", "i", "r", "n", "u", "s"},
	"jv": []string{"0"},
	"jw": []string{"0"},
	"jx": []string{"0"},
	"jy": []string{"0"},
	"jz": []string{"0"},
	"ka": []string{"a", "c", "l", "o", "d", "e", "k", "h", "i", "r", "n", "u", "s"},
	"kb": []string{"c", "l", "o", "e", "r", "n"},
	"kc": []string{"o", "c", "n"},
	"kd": []string{"a", "c", "e", "i", "r"},
	"ke": []string{"1"},
	"kf": []string{"a", "c", "n", "r"},
	"kg": []string{"c", "n", "p"},
	"kh": []string{"a", "c", "l", "o", "i", "m", "r", "n"},
	"ki": []string{"1"},
	"kj": []string{"c"},
	"kk": []string{"a", "c", "o", "e", "r", "u"},
	"kl": []string{"a", "c", "l", "w", "o", "e", "r", "n", "u", "s"},
	"km": []string{"c", "l", "o", "r", "n", "s"},
	"kn": []string{"a", "c", "s", "o", "e", "k", "i", "t", "r", "n", "p"},
	"ko": []string{"a", "c", "l", "o", "e", "r", "n", "u", "s"},
	"kp": []string{"o", "c", "a", "r"},
	"kq": []string{"0"},
	"kr": []string{"a", "c", "o", "z", "r", "n", "s"},
	"ks": []string{"a", "c", "l", "w", "o", "e", "i", "m", "r", "n", "u", "s"},
	"kt": []string{"a", "c", "l", "p", "e", "i", "r", "n", "s"},
	"ku": []string{"a", "c", "o", "i", "r", "n", "u", "s"},
	"kv": []string{"0"},
	"kw": []string{"a", "c", "l", "w", "o", "r", "n", "p"},
	"kx": []string{"0"},
	"ky": []string{"a", "c", "l", "w", "o", "e", "i", "r", "n", "u", "s"},
	"kz": []string{"0"},
	"la": []string{"1"},
	"lb": []string{"a", "l", "o", "e", "i", "u"},
	"lc": []string{"a", "l", "o", "e", "i", "u"},
	"ld": []string{"1"},
	"le": []string{"1"},
	"lf": []string{"1"},
	"lg": []string{"a", "l", "o", "e", "i", "u"},
	"lh": []string{"l", "o", "e", "i", "r"},
	"li": []string{"1"},
	"lj": []string{"l"},
	"lk": []string{"a", "o", "e", "i", "u"},
	"ll": []string{"1"},
	"lm": []string{"a", "l", "o", "e", "i", "u"},
	"ln": []string{"a", "l", "o", "e", "i", "u"},
	"lo": []string{"1"},
	"lp": []string{"a", "y", "l", "o", "e", "i", "r", "u"},
	"lq": []string{"a", "i"},
	"lr": []string{"a", "l", "o", "e", "h", "i", "u"},
	"ls": []string{"1"},
	"lt": []string{"1"},
	"lu": []string{"1"},
	"lv": []string{"a", "y", "o", "e", "b", "i", "u"},
	"lw": []string{"a", "l", "o", "e", "i", "r", "u"},
	"lx": []string{"0"},
	"ly": []string{"1"},
	"lz": []string{"0"},
	"ma": []string{"1"},
	"mb": []string{"1"},
	"mc": []string{"a", "o", "e", "i", "r", "u"},
	"md": []string{"u"},
	"me": []string{"1"},
	"mf": []string{"a", "o", "e", "i", "r", "u"},
	"mg": []string{"0"},
	"mh": []string{"o", "u", "r"},
	"mi": []string{"1"},
	"mj": []string{"a"},
	"mk": []string{"y"},
	"ml": []string{"a", "l", "o", "e", "i", "r", "u"},
	"mm": []string{"1"},
	"mn": []string{"a", "y", "l", "o", "e", "i", "r", "u"},
	"mo": []string{"1"},
	"mp": []string{"1"},
	"mq": []string{"u"},
	"mr": []string{"a", "i", "o", "r"},
	"ms": []string{"a", "y", "l", "o", "e", "g", "h", "i", "r", "u", "s"},
	"mt": []string{"a", "o", "l", "r"},
	"mu": []string{"a", "y", "o", "p", "e", "h", "i", "m", "t", "r", "n", "u", "s"},
	"mv": []string{"u"},
	"mw": []string{"a", "i", "e", "r"},
	"mx": []string{"0"},
	"my": []string{"a", "y", "l", "o", "e", "g", "i", "m", "r", "u"},
	"mz": []string{"0"},
	"na": []string{"1"},
	"nb": []string{"a", "w", "o", "e", "g", "i", "m", "r", "u"},
	"nc": []string{"1"},
	"nd": []string{"1"},
	"ne": []string{"1"},
	"nf": []string{"a", "y", "w", "o", "e", "i", "r", "u"},
	"ng": []string{"1"},
	"nh": []string{"a", "w", "o", "e", "i", "u"},
	"ni": []string{"1"},
	"nj": []string{"a", "o", "e", "i", "u"},
	"nk": []string{"a", "o", "e", "i", "r", "n", "u"},
	"nl": []string{"a", "w", "o", "e", "g", "i", "m", "r", "u"},
	"nm": []string{"w", "o", "e", "g", "i", "r", "u"},
	"nn": []string{"1"},
	"no": []string{"1"},
	"np": []string{"a", "w", "o", "e", "g", "i", "t", "r", "u"},
	"nq": []string{"a", "o", "e", "i", "u"},
	"nr": []string{"a", "w", "o", "e", "i", "r", "u"},
	"ns": []string{"1"},
	"nt": []string{"1"},
	"nu": []string{"a", "l", "w", "o", "d", "e", "g", "k", "b", "h", "i", "m", "t", "r", "n", "u", "s"},
	"nv": []string{"a", "o", "e", "i", "u"},
	"nw": []string{"a", "w", "o", "e", "i", "u"},
	"nx": []string{"a", "i", "y"},
	"ny": []string{"a", "y", "w", "o", "e", "i", "m", "r", "n", "u"},
	"nz": []string{"o", "a", "e", "u"},
	"oa": []string{"1"},
	"ob": []string{"a", "d", "x", "h", "r", "c", "j", "l", "i", "t", "n", "g", "b", "m", "f", "y", "w", "o", "s"},
	"oc": []string{"1"},
	"od": []string{"1"},
	"oe": []string{"z", "d", "e", "h", "k", "r", "j", "c", "l", "i", "t", "n", "g", "b", "m", "p", "f", "y", "w", "o", "s"},
	"of": []string{"1"},
	"og": []string{"1"},
	"oh": []string{"a", "j", "c", "l", "o", "z", "k", "b", "m", "r", "n", "s"},
	"oi": []string{"1"},
	"oj": []string{"j", "b", "t", "r", "s"},
	"ok": []string{"a", "c", "j", "y", "l", "w", "o", "h", "b", "v", "m", "t", "r", "p"},
	"ol": []string{"1"},
	"om": []string{"1"},
	"on": []string{"1"},
	"oo": []string{"1"},
	"op": []string{"1"},
	"oq": []string{"c", "t", "l", "r"},
	"or": []string{"1"},
	"os": []string{"1"},
	"ot": []string{"1"},
	"ou": []string{"1"},
	"ov": []string{"1"},
	"ow": []string{"1"},
	"ox": []string{"c", "f", "s", "l", "d", "b", "k", "i", "m", "t", "r", "n", "p"},
	"oy": []string{"c", "j", "f", "l", "d", "g", "b", "h", "v", "t", "r", "n", "u", "s"},
	"oz": []string{"c", "l", "o", "d", "b", "m", "t", "r", "n", "s"},
	"pa": []string{"1"},
	"pb": []string{"a", "e", "i", "m", "u", "s"},
	"pc": []string{"o", "i", "e", "u"},
	"pd": []string{"a", "c", "o", "e", "m", "u"},
	"pe": []string{"1"},
	"pf": []string{"a", "l", "o", "e", "i", "m", "u"},
	"pg": []string{"o", "m", "u"},
	"ph": []string{"1"},
	"pi": []string{"1"},
	"pj": []string{"a"},
	"pk": []string{"a", "o", "i", "m", "n", "u"},
	"pl": []string{"1"},
	"pm": []string{"a", "l", "w", "o", "e", "i", "m", "r", "u", "p"},
	"pn": []string{"a", "y", "o", "e", "i", "m", "r", "s"},
	"po": []string{"1"},
	"pp": []string{"1"},
	"pq": []string{"0"},
	"pr": []string{"1"},
	"ps": []string{"a", "c", "f", "y", "l", "w", "o", "p", "e", "b", "i", "m", "r", "u", "s"},
	"pt": []string{"a", "c", "y", "l", "o", "d", "e", "h", "i", "m", "r", "u"},
	"pu": []string{"1"},
	"pv": []string{"0"},
	"pw": []string{"a", "l", "o", "e", "i", "u"},
	"px": []string{"0"},
	"py": []string{"a", "s", "l", "o", "e", "i", "m", "r", "u", "p"},
	"pz": []string{"0"},
	"qa": []string{"0"},
	"qb": []string{"0"},
	"qc": []string{"0"},
	"qd": []string{"0"},
	"qe": []string{"0"},
	"qf": []string{"0"},
	"qg": []string{"0"},
	"qh": []string{"0"},
	"qi": []string{"0"},
	"qj": []string{"0"},
	"qk": []string{"0"},
	"ql": []string{"0"},
	"qm": []string{"0"},
	"qn": []string{"0"},
	"qo": []string{"0"},
	"qp": []string{"0"},
	"qq": []string{"s"},
	"qr": []string{"d"},
	"qs": []string{"0"},
	"qt": []string{"0"},
	"qu": []string{"1"},
	"qv": []string{"0"},
	"qw": []string{"0"},
	"qx": []string{"0"},
	"qy": []string{"0"},
	"qz": []string{"0"},
	"ra": []string{"1"},
	"rb": []string{"a", "o", "e", "i", "u"},
	"rc": []string{"1"},
	"rd": []string{"1"},
	"re": []string{"1"},
	"rf": []string{"a", "y", "o", "e", "i", "u"},
	"rg": []string{"a", "o", "e", "i", "u"},
	"rh": []string{"a", "o", "e", "i", "r", "n"},
	"ri": []string{"1"},
	"rj": []string{"o", "a", "e"},
	"rk": []string{"a", "o", "e", "i", "u"},
	"rl": []string{"1"},
	"rm": []string{"1"},
	"rn": []string{"1"},
	"ro": []string{"1"},
	"rp": []string{"a", "o", "e", "i", "u"},
	"rq": []string{"a", "o", "e", "i", "u"},
	"rr": []string{"1"},
	"rs": []string{"1"},
	"rt": []string{"1"},
	"ru": []string{"1"},
	"rv": []string{"a", "o", "e", "i", "u"},
	"rw": []string{"a", "i", "e", "o"},
	"rx": []string{"0"},
	"ry": []string{"1"},
	"rz": []string{"o", "a", "e", "u"},
	"sa": []string{"1"},
	"sb": []string{"a", "w", "o", "e", "g", "i", "r", "u", "s"},
	"sc": []string{"1"},
	"sd": []string{"w", "e", "i", "m", "n"},
	"se": []string{"1"},
	"sf": []string{"y", "w", "e", "i", "n", "s"},
	"sg": []string{"w", "o", "e", "g", "k", "i", "n"},
	"sh": []string{"1"},
	"si": []string{"1"},
	"sj": []string{"i"},
	"sk": []string{"a", "f", "l", "o", "d", "p", "e", "g", "k", "b", "h", "i", "m", "t", "r", "n", "u", "s"},
	"sl": []string{"1"},
	"sm": []string{"1"},
	"sn": []string{"a", "e", "k", "i", "r", "n", "u", "s"},
	"so": []string{"1"},
	"sp": []string{"1"},
	"sq": []string{"a", "o", "e", "i", "r", "u", "p"},
	"sr": []string{"i", "s", "e", "w"},
	"ss": []string{"1"},
	"st": []string{"1"},
	"su": []string{"1"},
	"sv": []string{"n"},
	"sw": []string{"a", "y", "s", "w", "x", "d", "e", "g", "b", "i", "t", "r", "n", "p"},
	"sx": []string{"0"},
	"sy": []string{"a", "y", "l", "w", "o", "d", "p", "e", "k", "b", "i", "m", "t", "r", "n", "u", "s"},
	"sz": []string{"0"},
	"ta": []string{"1"},
	"tb": []string{"a", "f", "l", "o", "x", "p", "e", "h", "i", "r", "n", "u", "s"},
	"tc": []string{"a", "l", "o", "p", "e", "h", "i", "r", "n", "u", "s"},
	"td": []string{"l", "e", "h", "n", "u", "s"},
	"te": []string{"1"},
	"tf": []string{"a", "c", "l", "o", "e", "b", "h", "i", "r", "n", "u", "s"},
	"tg": []string{"a", "o", "h", "i", "m", "r", "n", "u", "s"},
	"th": []string{"1"},
	"ti": []string{"1"},
	"tj": []string{"i"},
	"tk": []string{"a", "o", "e"},
	"tl": []string{"1"},
	"tm": []string{"a", "c", "f", "l", "o", "e", "h", "i", "r", "n", "u", "s"},
	"tn": []string{"a", "c", "f", "s", "o", "e", "h", "i", "t", "r", "n", "u", "p"},
	"to": []string{"1"},
	"tp": []string{"a", "f", "l", "o", "e", "h", "i", "u", "s"},
	"tq": []string{"0"},
	"tr": []string{"1"},
	"ts": []string{"1"},
	"tt": []string{"1"},
	"tu": []string{"1"},
	"tv": []string{"u"},
	"tw": []string{"1"},
	"tx": []string{"0"},
	"ty": []string{"1"},
	"tz": []string{"a", "l", "e", "i", "r", "n", "u"},
	"ua": []string{"1"},
	"ub": []string{"1"},
	"uc": []string{"1"},
	"ud": []string{"a", "c", "j", "s", "f", "l", "o", "d", "x", "e", "b", "h", "k", "m", "t", "r", "n", "p"},
	"ue": []string{"1"},
	"uf": []string{"a", "c", "f", "s", "l", "o", "d", "g", "b", "h", "m", "t", "r", "n", "p"},
	"ug": []string{"1"},
	"uh": []string{"o", "f", "h"},
	"ui": []string{"1"},
	"uj": []string{"j", "l"},
	"uk": []string{"a", "j", "y", "s", "l", "o", "d", "e", "b", "h", "m", "r", "n", "p"},
	"ul": []string{"1"},
	"um": []string{"1"},
	"un": []string{"1"},
	"uo": []string{"q", "c", "l", "d", "g", "b", "t", "r", "n", "s"},
	"up": []string{"1"},
	"uq": []string{"o", "t"},
	"ur": []string{"1"},
	"us": []string{"1"},
	"ut": []string{"1"},
	"uu": []string{"c", "m", "d", "n"},
	"uv": []string{"a", "j", "l", "o", "d", "g", "e", "r"},
	"uw": []string{"r"},
	"ux": []string{"a", "j", "l", "o", "b", "t", "r"},
	"uy": []string{"q", "g", "b"},
	"uz": []string{"a", "c", "f", "s", "o", "g", "b", "h", "m", "n", "p"},
	"va": []string{"1"},
	"vb": []string{"0"},
	"vc": []string{"0"},
	"vd": []string{"a", "l"},
	"ve": []string{"1"},
	"vf": []string{"0"},
	"vg": []string{"a"},
	"vh": []string{"0"},
	"vi": []string{"1"},
	"vj": []string{"0"},
	"vk": []string{"0"},
	"vl": []string{"a"},
	"vm": []string{"0"},
	"vn": []string{"0"},
	"vo": []string{"a", "l", "o", "z", "d", "e", "i", "t", "r", "n"},
	"vp": []string{"0"},
	"vq": []string{"0"},
	"vr": []string{"e", "u"},
	"vs": []string{"a", "i", "e", "u"},
	"vt": []string{"o", "d", "p"},
	"vu": []string{"a", "l", "o", "e", "i", "n", "u"},
	"vv": []string{"a", "i", "e", "o"},
	"vw": []string{"0"},
	"vx": []string{"0"},
	"vy": []string{"a", "o", "e", "i", "v", "r", "n"},
	"vz": []string{"0"},
	"wa": []string{"1"},
	"wb": []string{"o", "a", "e"},
	"wc": []string{"o", "e"},
	"wd": []string{"a", "o", "f", "e"},
	"we": []string{"1"},
	"wf": []string{"a", "o", "e"},
	"wg": []string{"o", "a", "e"},
	"wh": []string{"a", "y", "l", "o", "e", "g", "b", "k", "h", "t", "r", "n"},
	"wi": []string{"1"},
	"wj": []string{"o"},
	"wk": []string{"a"},
	"wl": []string{"o", "a", "e"},
	"wm": []string{"o", "a", "e"},
	"wn": []string{"a", "o", "e"},
	"wo": []string{"1"},
	"wp": []string{"a", "o", "t", "e"},
	"wq": []string{"0"},
	"wr": []string{"a", "y", "s", "l", "o", "d", "e", "g", "t", "r", "n", "p"},
	"ws": []string{"o", "a", "e"},
	"wt": []string{"o", "c", "e", "a"},
	"wu": []string{"o", "g", "k", "t", "r", "s"},
	"wv": []string{"0"},
	"ww": []string{"o", "e"},
	"wx": []string{"0"},
	"wy": []string{"a", "o", "e", "g", "k", "h"},
	"wz": []string{"o"},
	"xa": []string{"a", "i", "e"},
	"xb": []string{"o"},
	"xc": []string{"o", "e"},
	"xd": []string{"0"},
	"xe": []string{"a", "y", "o", "e", "i", "n", "u"},
	"xf": []string{"o", "i", "e"},
	"xg": []string{"o"},
	"xh": []string{"o", "e"},
	"xi": []string{"a", "y", "o", "x", "e", "i", "n", "u"},
	"xj": []string{"0"},
	"xk": []string{"0"},
	"xl": []string{"a", "o", "i", "e"},
	"xm": []string{"a"},
	"xn": []string{"a"},
	"xo": []string{"a", "y", "o", "e", "i", "u"},
	"xp": []string{"a", "i", "e"},
	"xq": []string{"e"},
	"xr": []string{"o"},
	"xs": []string{"o", "b"},
	"xt": []string{"o", "i", "e", "u"},
	"xu": []string{"e", "u"},
	"xv": []string{"x"},
	"xw": []string{"o", "a"},
	"xx": []string{"x"},
	"xy": []string{"o", "a", "e"},
	"xz": []string{"0"},
	"ya": []string{"a", "c", "l", "o", "d", "x", "e", "k", "h", "i", "m", "t", "r", "n", "p"},
	"yb": []string{"a", "c", "l", "o", "z", "d", "p", "e", "g", "h", "k", "r", "n", "u", "s"},
	"yc": []string{"a", "c", "l", "o", "d", "p", "e", "k", "h", "m", "t", "r", "n", "s"},
	"yd": []string{"a", "l", "o", "z", "e", "k", "h", "m", "t", "r"},
	"ye": []string{"1"},
	"yf": []string{"a", "l", "o", "d", "s"},
	"yg": []string{"a", "c", "s", "l", "z", "x", "d", "b", "h", "m", "p"},
	"yh": []string{"a", "c", "l", "o", "e", "b", "t", "v", "n", "p"},
	"yi": []string{"a", "z", "d", "x", "e", "h", "k", "r", "c", "l", "t", "v", "n", "g", "b", "m", "p", "f", "o", "u", "s"},
	"yj": []string{"k"},
	"yk": []string{"d", "t"},
	"yl": []string{"a", "c", "s", "l", "o", "z", "d", "x", "g", "e", "h", "b", "k", "m", "t", "r", "n", "p"},
	"ym": []string{"a", "c", "l", "o", "z", "x", "d", "g", "e", "h", "t", "r", "n", "s"},
	"yn": []string{"a", "c", "l", "o", "d", "e", "g", "h", "m", "r", "s"},
	"yo": []string{"a", "c", "l", "o", "e", "h", "b", "m", "r", "n", "u", "p"},
	"yp": []string{"a", "c", "l", "o", "g", "e", "h", "b", "t", "r", "n", "s"},
	"yq": []string{"0"},
	"yr": []string{"a", "s", "l", "o", "g", "b", "h", "k", "m", "t", "p"},
	"ys": []string{"a", "c", "l", "o", "d", "x", "e", "h", "b", "k", "v", "m", "t", "r", "n", "u", "s"},
	"yt": []string{"a", "c", "s", "l", "d", "h", "b", "m", "t", "r", "n", "p"},
	"yu": []string{"a", "l"},
	"yv": []string{"g", "l"},
	"yw": []string{"a", "c", "l", "d", "p", "e", "g", "b", "k", "v", "t", "r", "n", "s"},
	"yx": []string{"c", "l", "h", "m", "n", "p"},
	"yy": []string{"0"},
	"yz": []string{"l", "b"},
	"za": []string{"a", "c", "y", "z", "g", "e", "i", "n", "u"},
	"zb": []string{"z"},
	"zc": []string{"0"},
	"zd": []string{"i"},
	"ze": []string{"1"},
	"zf": []string{"0"},
	"zg": []string{"0"},
	"zh": []string{"0"},
	"zi": []string{"a", "y", "w", "o", "z", "e", "i", "t", "r", "n", "u"},
	"zj": []string{"0"},
	"zk": []string{"t"},
	"zl": []string{"o", "z"},
	"zm": []string{"i", "z"},
	"zn": []string{"0"},
	"zo": []string{"a", "o", "z", "e", "i", "t", "r", "n", "u"},
	"zp": []string{"a", "t"},
	"zq": []string{"0"},
	"zr": []string{"0"},
	"zs": []string{"0"},
	"zt": []string{"0"},
	"zu": []string{"a", "i", "d"},
	"zv": []string{"t", "e"},
	"zw": []string{"z"},
	"zx": []string{"0"},
	"zy": []string{"a", "w", "o", "z", "e", "t", "n", "u"},
	"zz": []string{"a", "o", "e", "i", "u"},
}

func isAlpha(char string) bool {
	return char >= "a" && char <= "z"
}

func contains(array []string, char string) bool {
	for _, item := range array {
		if item == char {
			return true
		}
	}
	return false
}

func Count(str string) (int, int, int) {
	var i, bad, good, total int
	str = strings.ToLower(str)
	previous_char := "*"
	str_length := len(str)
	for i < str_length-1 {
		current_char := string(str[i])
		next_char := string(str[i+1])
		if !isAlpha(next_char) {
			next_char = "*"
			if !isAlpha(previous_char) && isAlpha(current_char) {
				bad++
				total++
			}
			previous_char = current_char
			i++
			continue
		} else {
			bigram := current_char + next_char
			value := bigrams[bigram]
			if len(value) == 0 || value[0] == "0" {
				bad++
			} else if value[0] == "1" {
				good++
			} else {
				if previous_char == "*" || contains(value, previous_char) {
					good++
				} else {
					bad++
				}
			}
			total++
		}
		previous_char = current_char
		i++
	}
	return total, good, bad
}
